[arch-commits] Commit in soprano (kde-unstable trunk/PKGBUILD)

Andrea Scarpino andrea at archlinux.org
Tue Jul 27 04:38:19 EDT 2010


    Date: Tuesday, July 27, 2010 @ 04:38:18
  Author: andrea
Revision: 86163

moved to [testing]

Modified:
  soprano/trunk/PKGBUILD
Deleted:
  soprano/kde-unstable/

----------+
 PKGBUILD |   10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

Modified: trunk/PKGBUILD
===================================================================
--- trunk/PKGBUILD	2010-07-27 08:37:43 UTC (rev 86162)
+++ trunk/PKGBUILD	2010-07-27 08:38:18 UTC (rev 86163)
@@ -3,7 +3,7 @@
 # Contributor: Tobias Powalowski <tpowa at archlinux.org>
 
 pkgname=soprano
-pkgver=2.4.4
+pkgver=2.4.63
 pkgrel=1
 pkgdesc='A library which provides a highly usable object-oriented C++/Qt4 framework for RDF data'
 arch=('i686' 'x86_64')
@@ -12,7 +12,7 @@
 depends=('qt' 'clucene' 'redland' 'libiodbc' 'virtuoso')
 makedepends=('cmake' 'openjdk6')
 source=("http://downloads.sourceforge.net/${pkgname}/${pkgname}-${pkgver}.tar.bz2")
-md5sums=('11a83941f290e8719883df49a4cd8faa')
+md5sums=('5a063a01849437b7142b41c59702a061')
 
 build() {
   cd ${srcdir}
@@ -23,11 +23,11 @@
   cmake ../${pkgname}-${pkgver} \
     -DCMAKE_BUILD_TYPE=Release \
     -DCMAKE_SKIP_RPATH=OFF \
-    -DCMAKE_INSTALL_PREFIX=/usr
-  make
+    -DCMAKE_INSTALL_PREFIX=/usr || return \
+  make || return 1
 }
 
 package() {
   cd ${srcdir}/build
-  make DESTDIR="${pkgdir}" install
+  make DESTDIR="${pkgdir}" install || return 1
 }



More information about the arch-commits mailing list